%def_disable static

Name: libgpg-error
Version: 0.7
Release: alt1

Group: System/Libraries
Summary: Error library for GnuPG and related projects
License: LGPL
URL: http://www.gnupg.org/

Packager: Sergey V Turchin <zerg@altlinux.org>

Source: %name-%version.tar.bz2
# PLD
Patch1: libgpg-error-am18.patch

%package devel
Summary: Development files for the %name package
Group: Development/C
Requires: %name = %version-%release

%package devel-static
Summary: Static libraries for the %name-devel package
Group: Development/C
Requires: %name-devel = %version-%release

%description
This is a library that defines common error values for all GnuPG
components.  Among these are GPG, GPGSM, GPGME, GPG-Agent, libgcrypt,
pinentry, SmartCard Daemon and possibly more in the future.

%description devel
This package contains files needed to develop
applications using the GnuPG error library.

%description devel-static
Static build of the GnuPG error library.

%prep
%setup -q
%patch1 -p1
%__rm -f COPYING.LIB
%__ln_s %_licensedir/LGPL-2.1 COPYING.LIB

%build
%configure %{subst_enable static}
%make_build
%make check

%install
%makeinstall
%find_lang %name

%post	-p %post_ldconfig
%postun -p %postun_ldconfig

%files -f %name.lang
%_libdir/lib*.so.*
%_bindir/gpg-error
%doc AUTHORS ChangeLog NEWS README
%doc --no-dereference COPYING.LIB

%files devel
%_bindir/*-config
%_libdir/*.so
%_includedir/*
%_datadir/aclocal/*

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Mon Apr 05 2004 Sergey V Turchin <zerg at altlinux dot org> 0.7-alt1
- rebuild

* Wed Mar 24 2004 Mikhail Zabaluev <mhz@altlinux.ru> 0.7-alt0.1
- New upstream release
- Spec cleanup
- Added /usr/bin/gpg-error to the filelist
- Brushed up descriptions

* Thu Feb 05 2004 Sergey V Turchin <zerg at altlinux dot org> 0.6-alt2
- rebuild

* Mon Feb 02 2004 Sergey V Turchin <zerg at altlinux dot org> 0.6-alt1
- new version
- don't build static libs by default

* Thu Sep 04 2003 Sergey V Turchin <zerg at altlinux dot org> 0.4-alt1
- initial spec
